services:
  professional_chamber.global_search_filter:
    parent: 'api.filter.global_search_filter'
    arguments:
      $properties: [
        'name',
        'id',
      ]
    tags: [ 'api_platform.filter' ]

  professional_chamber.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, name: ~, createdAt: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  professional_chamber.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', agentCommercialId: 'exact' } ]
    tags:  [ 'api_platform.filter' ]